小灬绿谷
小灬绿谷
  • 发布:2020-03-01 22:35
  • 更新:2020-04-04 00:00
  • 阅读:1697

从2020年4月开始,提交到应用程序商店的所有iOS应用程序都必须使用iOS 13 SDK或更高版本构建

分类:wap2app

尊敬的开发者:,

我们发现您的应用程序“app”1.3.6(300)最近交付时出现了一个或多个问题。您的交付成功,但您可能希望在下次交付中更正以下问题:

ITMS-90725:SDK版本问题-此应用程序是使用iOS 12.1sdk构建的。从2020年4月开始,提交到应用程序商店的所有iOS应用程序都必须使用iOS 13 SDK或更高版本构建,包括在Xcode 11或更高版本中。

ITMS-90683:Info.plist中缺少目的字符串-应用程序的代码引用一个或多个访问敏感用户数据的API。应用程序的Info.plist文件应包含一个NSBluetoothAlwaysUsageDescription密钥,其中包含一个面向用户的目的字符串,该字符串清楚、完整地解释了应用程序需要数据的原因。从2019年春季开始,所有提交到应用程序商店的访问用户数据的应用程序都需要包含一个目的字符串。如果您使用的是外部库或sdk,它们可能引用需要用途字符串的api。虽然您的应用程序可能不使用这些api,但仍然需要一个目的字符串。您可以联系库或SDK的开发人员,请求他们发布不包含api的代码版本。了解更多(https://developer.apple.com/documentation/uikit/core_app/protecting_the_user_s_privacy)。

ITMS-90809:不推荐的API使用-从2020年12月起,苹果将停止接受使用UIWebView API的应用程序提交。有关详细信息,请参阅https://developer.apple.com/documentation/uikit/uiwebview。

更正问题后,可以将新二进制文件上载到App Store Connect。

谨致问候,

应用商店团队

4月后怎么整?官方是否有解决?

2020-03-01 22:35 负责人:无 分享
已邀请:
DCloud_heavensoft

DCloud_heavensoft

云打包已经是iOS13了。离线打包的话,自己改成最新的xcode。从HBuilderX 2.6.6起,可以在manifest模块选择里彻底去掉UIWebview

  • wppeng

    不推荐的API使用-从2020年4月起,苹果将停止接受使用UIWebView API的新应用的提交,不能使用web-view组件了吗

    2020-03-24 08:45

  • DCloud_heavensoft

    回复 wppeng: web-view组件默认就是WKWebview的

    2020-03-24 19:00

chenqi0614@qq.com

chenqi0614@qq.com

如果有支付宝sdk还是会这样,目前无解

  • DCloud_heavensoft

    今天会发2.6.10 alpha,更新了支付宝sdk

    2020-04-04 00:05

要回复问题请先登录注册